<ion-header>
    <ion-toolbar color="principal">
        <ion-buttons slot="end"> </ion-buttons>
        <ion-title>Regístro</ion-title>
        <ion-buttons slot="start">
            <ion-button (click)="goToBack()">
                <ion-icon name="arrow-back" size="large"></ion-icon>
            </ion-button>
        </ion-buttons>
        <app-header></app-header>
    </ion-toolbar>
</ion-header>

<ion-content>
    <ion-card class="card">
        <ion-card-header>
            <ion-card-title> Regístrate </ion-card-title>
            <ion-card-subtitle>
                Haz parte de nuestra aplicación
            </ion-card-subtitle>
        </ion-card-header>

        <ion-card-content>
            <form
                [formGroup]="registerForm"
                (ngSubmit)="registerUser(registerForm.value)"
            >
                <ion-item>
                    <ion-icon name="person-outline"></ion-icon>
                    <ion-input
                        formControlName="name"
                        placeholder="Nombres*"
                        color="black"
                    ></ion-input>
                </ion-item>

                <div class="validation-error">
                    <ng-container
                        *ngFor="let validation of validation_message.name"
                    >
                        <div
                            *ngIf="registerForm.get('name').hasError(validation.type) && 
                        (registerForm.get('name').dirty || 
                        registerForm.get('name').touched)"
                        >
                            {{validation.message}}
                        </div>
                    </ng-container>
                </div>

                <ion-item>
                    <ion-icon name="person-outline"></ion-icon>
                    <ion-input
                        formControlName="lastName"
                        placeholder="Apellidos*"
                        color="black"
                    ></ion-input>
                </ion-item>

                <div class="validation-error">
                    <ng-container
                        *ngFor="let validation of validation_message.lastName"
                    >
                        <div
                            *ngIf="registerForm.get('lastName').hasError(validation.type) && 
                        (registerForm.get('lastName').dirty || 
                        registerForm.get('lastName').touched)"
                        >
                            {{validation.message}}
                        </div>
                    </ng-container>
                </div>

                <!--
                                 <ion-item>
                                <ion-icon name="person-outline"></ion-icon>
                                <ion-input formControlName="companyName" placeholder="Nombre de la empresa*" color="black"></ion-input>
                            </ion-item>
                            
                           


                            <div class="validation-error">
                                <ng-container
                                    *ngFor="let validation of validation_message.companyName">
                                    <div
                                        *ngIf="registerForm.get('companyName').hasError(validation.type) && 
                        (registerForm.get('companyName').dirty || 
                        registerForm.get('companyName').touched)">
                                        {{validation.message}}
                                    </div>
                                </ng-container>
                            </div>
                        -->

                <ion-item>
                    <ion-icon name="mail-outline"></ion-icon>
                    <ion-input
                        formControlName="email"
                        placeholder="Email*"
                        color="black"
                    ></ion-input>
                </ion-item>

                <div class="validation-error">
                    <ng-container
                        *ngFor="let validation of validation_message.email"
                    >
                        <div
                            *ngIf="registerForm.get('email').hasError(validation.type) && 
                        (registerForm.get('email').dirty || 
                        registerForm.get('email').touched)"
                        >
                            {{validation.message}}
                        </div>
                    </ng-container>
                </div>

                <ion-item>
                    <ion-icon name="phone-portrait-outline"></ion-icon>
                    <ion-input
                        formControlName="phone"
                        placeholder="Teléfono Móvil*"
                        color="black"
                    ></ion-input>
                </ion-item>

                <div class="validation-error">
                    <ng-container
                        *ngFor="let validation of validation_message.phone"
                    >
                        <div
                            *ngIf="registerForm.get('phone').hasError(validation.type) && 
                        (registerForm.get('phone').dirty || 
                        registerForm.get('phone').touched)"
                        >
                            {{validation.message}}
                        </div>
                    </ng-container>
                </div>

                <ion-item>
                    <ion-icon name="lock-closed-outline"></ion-icon>
                    <ion-input
                        type="password "
                        formControlName="password"
                        placeholder="Contraseña*"
                        color="black"
                    ></ion-input>
                </ion-item>

                <div class="validation-error">
                    <ng-container
                        *ngFor="let validation of validation_message.password"
                    >
                        <div
                            *ngIf="registerForm.get('password').hasError(validation.type) && 
                        (registerForm.get('password').dirty || 
                        registerForm.get('password').touched)"
                        >
                            {{validation.message}}
                        </div>
                    </ng-container>
                </div>

                <ion-item>
                    <ion-icon name="lock-closed-outline"></ion-icon>
                    <ion-input
                        type="password"
                        formControlName="confirmPassword"
                        placeholder="Confirmar contraseña*"
                        color="black"
                    ></ion-input>
                </ion-item>

                <div class="validation-error">
                    <ng-container
                        *ngFor="let validation of validation_message.password"
                    >
                        <div
                            *ngIf="registerForm.get('confirmPassword').hasError(validation.type) && 
                        (registerForm.get('confirmPassword').dirty || 
                        registerForm.get('confirmPassword').touched)" >
                                        {{validation.message}}
                                    </div>
                                </ng-container>
                            </div>

                            {{errorMessage}}

                            <span *ngIf="registerForm.errors?.invalid">
                                La contraseña no coincide
                            </span>

                            <ion-button color="principal" (click)="goToLogin()" expand="block" shape="round" fill="solid" type="submit" [disabled]="!registerForm.valid">Regístrate</ion-button>
                           <!--<ion-button color="principal" expand="block" shape="round" fill="solid" [disabled]="!registerForm.valid" type="submit">Registrar</ion-button>-->
                           <div linespace></div>
                           Ya tienes cuenta?<ion-button color="warning" (click)="goToLogin()" expand="block" shape="round" fill="solid">Inicar sesión</ion-button>
                           
                           Registrándote aceptas nuestros
                           <ion-text text-center color="medium"><h6 no-margin class="small"><a (click)="open_modal(true)">Términos y condiciones</a> y <a (click)="open_modal(false)">Políticas de privacidad</a></h6></ion-text>

                        </form>
                </ion-card-content>
        </ion-card>
</ion-content>
